﻿* Encoding: UTF-8.
/* examine all variables on the different factor steps.
EXAMINE VARIABLES=attdrug phyheal menheal psydrug BY emplmnt religion 
  /PLOT BOXPLOT NPPLOT 
  /COMPARE GROUPS 
  /STATISTICS DESCRIPTIVES 
  /CINTERVAL 95 
  /MISSING LISTWISE 
  /NOTOTAL.

/* analyze missing values and outliers.
MVA VARIABLES=attdrug phyheal menheal psydrug emplmnt religion 
  /MAXCAT=25 
  /ID=subjno 
  /CATEGORICAL=emplmnt religion 
  /TPATTERN PERCENT=5 
  /EM(TOLERANCE=0.001 CONVERGENCE=0.0001 ITERATIONS=25) 
  /REGRESSION(TOLERANCE=0.001 FLIMIT=4.0 ADDTYPE=RESIDUAL).

/* check for multivariate outliers.
REGRESSION 
  /MISSING LISTWISE 
  /STATISTICS COEFF OUTS R ANOVA 
  /CRITERIA=PIN(.05) POUT(.10) 
  /NOORIGIN 
  /DEPENDENT attdrug 
  /METHOD=ENTER phyheal menheal psydrug 
  /SAVE ZPRED ZRESID MAHAL.

/* do a logarithmic transformation because of the positive skewedness
/* of phyheal and psydrug.
COMPUTE lphyheal=LG10(phyheal). 
COMPUTE lpsydrug=LG10(psydrug + 1). 
EXECUTE.

/* reexmanine the transformed variables.
EXAMINE VARIABLES=lphyheal lpsydrug BY religion 
  /PLOT NONE 
  /STATISTICS DESCRIPTIVES 
  /CINTERVAL 95 
  /MISSING LISTWISE 
  /NOTOTAL.

/* calculate ANCOVA with SS type I.
UNIANOVA attdrug BY emplmnt religion WITH lphyheal menheal lpsydrug
  /METHOD=SSTYPE(1)
  /INTERCEPT=INCLUDE
  /PLOT=PROFILE(religion*emplmnt) TYPE=LINE ERRORBAR=SE(1) MEANREFERENCE=NO YAXIS=AUTO
  /EMMEANS=TABLES(emplmnt) WITH(lphyheal=MEAN menheal=MEAN lpsydrug=MEAN)
  /EMMEANS=TABLES(religion) WITH(lphyheal=MEAN menheal=MEAN lpsydrug=MEAN)
  /EMMEANS=TABLES(emplmnt*religion) WITH(lphyheal=MEAN menheal=MEAN lpsydrug=MEAN)
  /PRINT ETASQ DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=lphyheal menheal lpsydrug emplmnt religion emplmnt*religion.

/* calculate ANCOVA with SS type III.
UNIANOVA attdrug BY emplmnt religion WITH lphyheal menheal lpsydrug 
  /METHOD=SSTYPE(3) 
  /INTERCEPT=INCLUDE
  /PLOT=PROFILE(religion religion*emplmnt) TYPE=LINE ERRORBAR=SE(1) MEANREFERENCE=NO YAXIS=AUTO 
  /EMMEANS=TABLES(emplmnt) WITH(lphyheal=MEAN menheal=MEAN lpsydrug=MEAN) 
  /EMMEANS=TABLES(religion) WITH(lphyheal=MEAN menheal=MEAN lpsydrug=MEAN) 
  /EMMEANS=TABLES(emplmnt*religion) WITH(lphyheal=MEAN menheal=MEAN lpsydrug=MEAN) 
  /PRINT ETASQ DESCRIPTIVE 
  /CRITERIA=ALPHA(.05) 
  /DESIGN=lphyheal menheal lpsydrug emplmnt religion emplmnt*religion.


